import http from '@/http/yskApi/http.js'
const request = http.request

/**
 * 获取店铺详情
 * @returns
 */
export function getShopInfo(data, urlType = 'account') {
	return request({
		url: `/account/admin/shopInfo/detail`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 修改店铺详情
 * @returns
 */
export function editShopInfo(data, urlType = 'account') {
	return request({
		url: `/account/admin/shopInfo`,
		method: "PUT",
		data: {
			...data
		}
	})
}

/**
 * 获取当前店铺拓展参数
 * @returns
 */
export function getShopExtend(data, urlType = 'account') {
	return request({
		url: `/${urlType}/admin/shopExtend`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 获取当前店铺拓展参数
 * @returns
 */
export function editShopExtend(data, urlType = 'account') {
	return request({
		url: `/${urlType}/admin/shopExtend`,
		method: "PUT",
		data: {
			...data
		}
	})
}
